augroup typo3Folder
    autocmd!
    autocmd BufEnter **/stuff/typo3/core/**/Unit/** execute "call Typo3SetupPhpUnitUnit()"
    autocmd BufEnter **/stuff/typo3/core/**/Functional/** execute "call Typo3SetupPhpUnitFunctional()"
augroup END

function! Typo3SetupPhpUnitUnit()
    let g:test#php#phpunit#options = {
        \ 'file': '--configuration Build/phpunit/UnitTests.xml',
        \ 'nearest': '--configuration Build/phpunit/UnitTests.xml',
    \}
endfunction

function! Typo3SetupPhpUnitFunctional()
    let g:test#php#phpunit#options = {
        \ 'file': '--configuration Build/phpunit/FunctionalTests.xml',
        \ 'nearest': '--configuration Build/phpunit/FunctionalTests.xml',
    \}
endfunction
